require File.expand_path(File.dirname(__FILE__) + '/spec_helper')

describe "Photoinfo" do
	before do
		@photoinfo = Photoinfo.new(21846754)
		@photoinfo.read
	end
	it "should have a have a photoid number" do
		@photoinfo.photoid.should be_a_kind_of(Numeric)
	end	
	describe "#read" do
		it "should read the istockphoto webpage using the photoid" do
			@photoinfo.webpage.should be_a_kind_of(Nokogiri::HTML::Document)
		end 
	end
	describe "#isTitle" do
		it "should return the title of the photo" do
			@photoinfo.isTitle
			@photoinfo.title.should eq "Quiet alpine scene"
		end 
	end
	describe "#isDescription" do
		it "should return the description of the photo" do
			@photoinfo.isDescription
			@photoinfo.description.should eq "Small chapel on the hill in a beautiful mountain landscape"
		end 
	end
	describe "#isContributor" do
		it "should return the contributor of the photo" do
			@photoinfo.isContributor
			@photoinfo.contributor.should eq "Scacciamosche"
		end 
	end
	describe "#isKeywords" do
		it "should return the keywords of the photo" do
			@photoinfo.isKeywords
			@photoinfo.keywords.should eq "Woods, Forest, Nature, Chapel, Tree, Snow, Idyllic, Photography, Tirol, Symbols Of Peace, Horizon Over Land, Horizon, Horizontal, Relaxation, Scenics, Panoramic, Mountain Peak, Grass, Twilight, Outdoors, Nobody, Color Image, Colors, Merano, Valley, European Alps, Mountain, Architecture, Building Exterior, Hill, Old, Landscaped, Landscape, Tranquil Scene, Spring, Wood, Alto Adige, Beauty In Nature, Church, Non-Urban Scene, Rural Scene, Famous Place, Green, Sunset, Dawn"
		end 
	end
	describe "#isCollection" do
		it "should return the collection info of the photo" do
			@photoinfo.isCollection
			@photoinfo.collection.should eq "Vetta Stock Photo"
		end 
	end
	describe "#isUploadedOn" do
		it "should should return the uploaded on info of the photo" do
			@photoinfo.isUploadedOn
			@photoinfo.uploadedon.should eq "10-13-12 @ Anita Stizzoli"
		end 
	end
	describe "#save" do
		it "should include the photo's meta data" do
			@photoinfo.save
			@photoinfo.info.should include({:title=>"Quiet alpine scene", :description=>"Small chapel on the hill in a beautiful mountain landscape", :contributor=>"Scacciamosche", :keywords=>"Woods, Forest, Nature, Chapel, Tree, Snow, Idyllic, Photography, Tirol, Symbols Of Peace, Horizon Over Land, Horizon, Horizontal, Relaxation, Scenics, Panoramic, Mountain Peak, Grass, Twilight, Outdoors, Nobody, Color Image, Colors, Merano, Valley, European Alps, Mountain, Architecture, Building Exterior, Hill, Old, Landscaped, Landscape, Tranquil Scene, Spring, Wood, Alto Adige, Beauty In Nature, Church, Non-Urban Scene, Rural Scene, Famous Place, Green, Sunset, Dawn", :collection=>"Vetta Stock Photo", :uploadedon=>"10-13-12 @ Anita Stizzoli"})
		end 
	end					
end
